exec dbms_output.enable(null);
declare
   sortida VARCHAR2(255);
   idCensGlobal INTEGER;
   idCensEstatal_ES INTEGER;
   idCensEstatal_FR INTEGER;
   idCensEstatal_AD INTEGER;
   idCensRegional_09 INTEGER;
   idCensLocal_SBD INTEGER;
   idCensLocal_MTB INTEGER;
   idOpcioSI INTEGER;
   idOPcioNO INTEGER;
   idOpcioBLANC INTEGER;
   idOpcioRepublica INTEGER;
   idOPcioMonarquia INTEGER;
   idOpcioEuro INTEGER;
   idOPcioDolar INTEGER;
   idOPcioPesseta INTEGER;
   idOPcioLLiura INTEGER;
   idOPcioFranc INTEGER;
   idVotacioNuclears INTEGER;
   idVotacioCatIndep INTEGER;
   idVotacioESRepMon INTEGER;
   idVotacioMoneda INTEGER;
   idVotacioSBDAero INTEGER;
   idVotacioBusNit INTEGER;
   idVotacioAntTlf INTEGER;
   idVotacioParAVE INTEGER;
   idVotacioCatEur INTEGER;
   idVotacioTrPNit INTEGER;
   idVotacioLLiGrt INTEGER;
   idVotacioCotCHi INTEGER;
   idVotacioDescar INTEGER;
   idVotacioLimInt INTEGER;
   idVotacioRetEco INTEGER;
   idVotacioAugImp INTEGER;
   idCodiError INTEGER;
begin

-- esborrar dades existents
DELETE FROM PARTICIPACIO;
DELETE FROM CENSVOTACIO;
DELETE FROM OPCIONSVOTACIO;
DELETE FROM PADROCENS;
DELETE FROM STAT_CENS_ANY;
DELETE FROM STAT_PAIS_ANY;
DELETE FROM STAT_ANY;
DELETE FROM STAT_VOTACIO;
DELETE FROM CIUTADA;
DELETE FROM LOG;
DELETE FROM OPCIO;
DELETE FROM CENS;
DELETE FROM VOTACIO;
COMMIT;

-- alta cens
  DBMS_OUTPUT.PUT_LINE ('ALTA CENS :');
p_cens_alta('G',null,null,null,idCensGlobal,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta cens Global : esperat OK --> RSP : '|| sortida);
p_cens_alta('E','ES',null,null,idCensEstatal_ES,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta cens Estatal ES : esperat OK --> RSP : '|| sortida);
p_cens_alta('E','FR',null,null,idCensEstatal_FR,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta cens Estatal FR : esperat OK --> RSP : '|| sortida);
p_cens_alta('E','AD',null,null,idCensEstatal_AD,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta cens Estatal AD : esperat OK --> RSP : '|| sortida);
p_cens_alta('L','ES','09','081878',idCensLocal_SBD,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta cens local : esperat OK --> RSP : '|| sortida);
p_cens_alta('L','ES','09','430862',idCensLocal_MTB,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta cens local : esperat OK --> RSP : '|| sortida);
p_cens_alta('R','ES','09',null,idCensRegional_09,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta cens regional : esperat OK --> RSP : '|| sortida);
p_cens_alta('G',null,null,null,idCodiError,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta cens global : esperat ERROR ja existeix --> RSP : '|| sortida);
p_cens_alta('E','ES',null,null,idCodiError,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta cens Estatal ES : esperat ERROR ja existeix --> RSP : '|| sortida);
p_cens_alta('R','ES','09',null,idCodiError,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta cens regional : esperat ERROR ja existeix --> RSP : '|| sortida);
p_cens_alta('L','ES','09','081878',idCodiError,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta cens local : esperat ERROR ja existeix --> RSP : '|| sortida);
p_cens_alta('E',null,null,null,idCodiError,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta cens estatal : esperat ERROR falta codi pais --> RSP : '|| sortida);
p_cens_alta('R','ES',null,null,idCodiError,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta cens regional : esperat ERROR falta codi regio --> RSP : '|| sortida);
p_cens_alta('L','ES',null,null,idCodiError,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta cens local : esperat ERROR falta codi regio i localitat --> RSP : '|| sortida);
p_cens_alta('E','KK',null,null,idCodiError,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta cens Estatal ES : esperat ERROR el pais no existeix --> RSP : '|| sortida);
p_cens_alta('R','ES','89',null,idCodiError,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta cens regional : esperat ERROR la regio no existeix --> RSP : '|| sortida);
p_cens_alta('L','ES','09','7AF234',idCodiError,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta cens local : esperat ERROR la localitat no existeix --> RSP : '|| sortida);
p_cens_alta('X',null,null,null,idCodiError,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta cens tipus X : esperat ERROR tipus de cens incorrecte --> RSP : '|| sortida);
  DBMS_OUTPUT.PUT_LINE (' ');

-- baixa cens
  DBMS_OUTPUT.PUT_LINE ('BAIXA CENS :');
p_cens_baixa(idCensEstatal_AD,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->baixa cens estatal AD : esperat OK --> RSP : '|| sortida);
p_cens_baixa(idCensGlobal,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->baixa cens global : esperat ERROR no es pot esborrar cens global --> RSP : '|| sortida);
p_cens_baixa(932,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->baixa cens 932 : esperat ERROR cens no existent --> RSP : '|| sortida);
p_cens_baixa(null,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->baixa cens : esperat ERROR s''ha d''especificar codi cens --> RSP : '|| sortida);
  DBMS_OUTPUT.PUT_LINE (' ');

-- modificacio cens
  DBMS_OUTPUT.PUT_LINE ('MODIFICACIO CENS :');
p_cens_modificacio(idCensRegional_09,'R','ES','10',null,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->modificar cens regional : esperat OK --> RSP : '|| sortida);
p_cens_modificacio(idCensRegional_09,'R','ES','09',null,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->modificar cens regional : esperat OK --> RSP : '|| sortida);
p_cens_modificacio(null,'R','ES','09',null,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->modificar cens regional : esperat ERROR s''ha d''especificar codi cens --> RSP : '|| sortida);
p_cens_modificacio(idCensEstatal_ES,'E',null,null,null,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->modificar cens estatal : esperat ERROR falta codi pais --> RSP : '|| sortida);
p_cens_modificacio(idCensRegional_09,'R','ES',null,null,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->modificar cens regional : esperat ERROR falta codi regio --> RSP : '|| sortida);
p_cens_modificacio(idCensLocal_SBD,'L','ES',null,null,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->modificar cens local : esperat ERROR falta codi regio i localitat --> RSP : '|| sortida);
p_cens_modificacio(idCensGlobal,'E','AD',null,null,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->modificar cens global : esperat ERROR cens global no es pot modificar --> RSP : '|| sortida);
p_cens_modificacio(idCensEstatal_ES,'E','FR',null,null,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->modificar cens estatal : esperat ERROR cens ja existent --> RSP : '|| sortida);

-- *** FALTA *** modificacio cens que ja te ciutadans assignats

  DBMS_OUTPUT.PUT_LINE (' ');

-- alta ciutadans
  DBMS_OUTPUT.PUT_LINE ('ALTA CIUTADANS :');
p_ciutada_alta('CIUTADA01_SBD','ES','09','081878','26/05/1968',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta ciutada : esperat OK --> RSP : '|| sortida);
p_ciutada_alta('CIUTADA02_SBD','ES','09','081878','26/05/2009',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta ciutada : esperat OK --> RSP : '|| sortida);
p_ciutada_alta('CIUTADA03_SBD','ES','09','081878','26/05/1971',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta ciutada : esperat OK --> RSP : '|| sortida);
p_ciutada_alta('CIUTADA04_SBD','ES','09','081878','26/05/1975',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta ciutada : esperat OK --> RSP : '|| sortida);
p_ciutada_alta('CIUTADA05_SBD','ES','09','081878','26/05/1976',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta ciutada : esperat OK --> RSP : '|| sortida);
p_ciutada_alta('CIUTADA06_SBD','ES','09','081878','26/05/1978',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta ciutada : esperat OK --> RSP : '|| sortida);
p_ciutada_alta('CIUTADA07_SBD','ES','09','081878','26/05/1998',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta ciutada : esperat OK --> RSP : '|| sortida);
p_ciutada_alta('CIUTADA11_SBD','ES','09','081878','26/05/1978',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta ciutada : esperat OK --> RSP : '|| sortida);
p_ciutada_alta('CIUTADA12_SBD','ES','09','081878','26/05/1974',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta ciutada : esperat OK --> RSP : '|| sortida);
p_ciutada_alta('CIUTADA13_SBD','ES','09','081878','26/05/1978',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta ciutada : esperat OK --> RSP : '|| sortida);
p_ciutada_alta('CIUTADA14_SBD','ES','09','081878','26/05/1974',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta ciutada : esperat OK --> RSP : '|| sortida);
p_ciutada_alta('CIUTADA15_SBD','ES','09','081878','26/05/1978',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta ciutada : esperat OK --> RSP : '|| sortida);
p_ciutada_alta('CIUTADA16_SBD','ES','09','081878','26/05/1974',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta ciutada : esperat OK --> RSP : '|| sortida);
p_ciutada_alta('CIUTADA21_MTB','ES','09','430862','26/05/1968',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta ciutada : esperat OK --> RSP : '|| sortida);
p_ciutada_alta('CIUTADA22_MTB','ES','09','430862','26/05/1968',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta ciutada : esperat OK --> RSP : '|| sortida);
p_ciutada_alta('CIUTADA13_MTB','ES','09','430862','26/05/1968',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta ciutada : esperat OK --> RSP : '|| sortida);
p_ciutada_alta('CIUTADA14_MTB','ES','09','430862','26/05/1968',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta ciutada : esperat OK --> RSP : '|| sortida);
p_ciutada_alta('CIUTADA15_MTB','ES','09','430862','26/05/1968',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta ciutada : esperat OK --> RSP : '|| sortida);
p_ciutada_alta('CIUTADA16_MTB','ES','09','430862','26/05/1968',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta ciutada : esperat OK --> RSP : '|| sortida);
p_ciutada_alta('CIUTADA01_MTB','ES','09','430862','26/05/1968',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta ciutada : esperat OK --> RSP : '|| sortida);
p_ciutada_alta('CIUTADA02_MTB','ES','09','430862','26/05/2009',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta ciutada : esperat OK --> RSP : '|| sortida);
p_ciutada_alta('CIUTADA03_MTB','ES','09','430862','26/05/1971',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta ciutada : esperat OK --> RSP : '|| sortida);
p_ciutada_alta('CIUTADA04_MTB','ES','09','430862','26/05/1975',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta ciutada : esperat OK --> RSP : '|| sortida);
p_ciutada_alta('CIUTADA05_MTB','ES','09','430862','26/05/1976',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta ciutada : esperat OK --> RSP : '|| sortida);
p_ciutada_alta('CIUTADA06_MTB','ES','09','430862','26/05/1978',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta ciutada : esperat OK --> RSP : '|| sortida);
p_ciutada_alta('CIUTADA07_MTB','ES','09','430862','26/05/1998',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta ciutada : esperat OK --> RSP : '|| sortida);
p_ciutada_alta('CIUTADA01_MAD','ES','09','430862','26/05/1978',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta ciutada : esperat OK --> RSP : '|| sortida);
p_ciutada_alta(null,'ES','09','430862','26/05/1978',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta ciutada : esperat ERROR s''ha d''especificar l''identificador del ciutada --> RSP : '|| sortida);
p_ciutada_alta('CIUTADA10_SBD',null,null,null,'26/05/1968',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta ciutada : esperat ERROR S''ha d''especificar la localitat --> RSP : '|| sortida);
p_ciutada_alta('CIUTADA10_SBD','ES','09',null,'26/05/1968',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta ciutada : esperat ERROR S''ha d''especificar la localitat --> RSP : '|| sortida);
p_ciutada_alta('CIUTADA10_SBD','ES','09','430862',null,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta ciutada : esperat ERROR S''ha d''especificar la data naixement --> RSP : '|| sortida);
p_ciutada_alta('CIUTADA01_SBD','ES','09','081878','26/05/1968',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta ciutada : esperat ERROR ciutada ja existent --> RSP : '|| sortida);
p_ciutada_alta('CIUTADA10_SBD','ES','09','7A2373','26/05/1968',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta ciutada : esperat ERROR localitat no existent --> RSP : '|| sortida);
p_ciutada_alta('CIUTADA10_SBD','ES','67','081878','26/05/1968',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta ciutada : esperat ERROR localitat no existent --> RSP : '|| sortida);
p_ciutada_alta('CIUTADA10_SBD','11','09','081878','26/05/1968',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta ciutada : esperat ERROR localitat no existent --> RSP : '|| sortida);
p_ciutada_alta('CIUTADA10_SBD','ES','09','081878','33/05/1968',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta ciutada : esperat ERROR data de naixement incorrecte --> RSP : '|| sortida);
p_ciutada_alta('CIUTADA10_SBD','ES','09','081878','26/21/1968',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta ciutada : esperat ERROR data de naixement incorrecte --> RSP : '|| sortida);
p_ciutada_alta('CIUTADA10_SBD','ES','09','081878','AA/21/1968',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta ciutada : esperat ERROR data de naixement incorrecte --> RSP : '|| sortida);
p_ciutada_alta('CIUTADA11_MTB','ES','09','430862','26/05/1998',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta ciutada : esperat OK --> RSP : '|| sortida);
p_ciutada_alta('CIUTADA12_MTB','ES','09','430862','26/05/1998',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta ciutada : esperat OK --> RSP : '|| sortida);
  DBMS_OUTPUT.PUT_LINE (' ');

-- baixa ciutadans
  DBMS_OUTPUT.PUT_LINE ('BAIXA CIUTADANS :');
p_ciutada_baixa('CIUTADA11_MTB',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->baixa ciutada : esperat OK --> RSP : '|| sortida);
p_ciutada_baixa('CIUTADA11_MTB',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->baixa ciutada : esperat ERROR ciutada no existent --> RSP : '|| sortida);
p_ciutada_baixa(null,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->baixa ciutada : esperat ERROR s''ha d''especificar el ciutada --> RSP : '|| sortida);
  DBMS_OUTPUT.PUT_LINE (' ');

-- modificacio ciutadans
  DBMS_OUTPUT.PUT_LINE ('MODIFICACIO CIUTADANS :');
p_ciutada_modificacio('CIUTADA12_MTB','ES','09','430862','26/05/2009',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->modificacio ciutada : esperat OK --> RSP : '|| sortida);
p_ciutada_modificacio('CIUTADA12_MTB','ES','09','081878','26/05/2009',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->modificacio ciutada : esperat OK --> RSP : '|| sortida);
p_ciutada_modificacio(null,'ES','09','081878','26/05/2009',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->modificacio ciutada : esperat ERROR s''ha d''especificar codi ciutada --> RSP : '|| sortida);
p_ciutada_modificacio('CIUTADA12_MTB',null,'09','081878','26/05/2009',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->modificacio ciutada : esperat ERROR s''ha d''especificar codi localitat --> RSP : '|| sortida);
p_ciutada_modificacio('CIUTADA12_MTB','ES',null,'081878','26/05/2009',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->modificacio ciutada : esperat ERROR s''ha d''especificar codi localitat --> RSP : '|| sortida);
p_ciutada_modificacio('CIUTADA12_MTB','ES','09',null,'26/05/2009',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->modificacio ciutada : esperat ERROR s''ha d''especificar codi localitat --> RSP : '|| sortida);
p_ciutada_modificacio('CIUTADA12_MTB','ES','09','081878',null,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->modificacio ciutada : esperat ERROR s''ha d''especificar la data de naixement --> RSP : '|| sortida);
p_ciutada_modificacio('CIUTADA12_MTB','ES','09','ZA3833','26/05/2009',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->modificacio ciutada : esperat ERROR localitat no existent --> RSP : '|| sortida);
p_ciutada_modificacio('CIUTADA12_MTB','ES','TR','430862','26/05/2009',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->modificacio ciutada : esperat ERROR localitat no existent --> RSP : '|| sortida);
p_ciutada_modificacio('CIUTADA12_MTB','22','09','430862','26/05/2009',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->modificacio ciutada : esperat ERROR localitat no existent --> RSP : '|| sortida);
p_ciutada_modificacio('CIUTADA12_MTB','ES','09','430862','33/05/1968',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->modificacio ciutada : esperat ERROR data de naixement incorrecte --> RSP : '|| sortida);
p_ciutada_modificacio('CIUTADA12_MTB','ES','09','430862','20/19/1968',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->modificacio ciutada : esperat ERROR data de naixement incorrecte --> RSP : '|| sortida);
p_ciutada_modificacio('CIUTADA12_MTB','ES','09','430862','20/05/AAAA',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->modificacio ciutada : esperat ERROR data de naixement incorrecte --> RSP : '|| sortida);
  DBMS_OUTPUT.PUT_LINE (' ');

-- assignar ciutadans als cens
  DBMS_OUTPUT.PUT_LINE ('ASSIGNAR CIUTADA AL CENS :');
p_ciutada_assigna_cens('CIUTADA11_SBD',idCensGlobal,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA11_SBD',idCensEstatal_ES,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA11_SBD',idCensRegional_09,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA11_SBD',idCensLocal_SBD,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA12_SBD',idCensGlobal,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA12_SBD',idCensEstatal_ES,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA12_SBD',idCensRegional_09,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA12_SBD',idCensLocal_SBD,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA13_SBD',idCensGlobal,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA13_SBD',idCensEstatal_ES,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA13_SBD',idCensRegional_09,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA13_SBD',idCensLocal_SBD,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA14_SBD',idCensGlobal,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA14_SBD',idCensEstatal_ES,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA14_SBD',idCensRegional_09,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA14_SBD',idCensLocal_SBD,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA15_SBD',idCensGlobal,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA15_SBD',idCensEstatal_ES,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA15_SBD',idCensRegional_09,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA15_SBD',idCensLocal_SBD,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA16_SBD',idCensGlobal,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA16_SBD',idCensEstatal_ES,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA16_SBD',idCensRegional_09,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA16_SBD',idCensLocal_SBD,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);

p_ciutada_assigna_cens('CIUTADA21_MTB',idCensGlobal,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA21_MTB',idCensEstatal_ES,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA21_MTB',idCensRegional_09,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA21_MTB',idCensLocal_MTB,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA22_MTB',idCensGlobal,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA22_MTB',idCensEstatal_ES,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA22_MTB',idCensRegional_09,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA22_MTB',idCensLocal_MTB,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA13_MTB',idCensGlobal,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA13_MTB',idCensEstatal_ES,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA13_MTB',idCensRegional_09,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA13_MTB',idCensLocal_MTB,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA14_MTB',idCensGlobal,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA14_MTB',idCensEstatal_ES,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA14_MTB',idCensRegional_09,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA14_MTB',idCensLocal_MTB,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA15_MTB',idCensGlobal,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA15_MTB',idCensEstatal_ES,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA15_MTB',idCensRegional_09,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA15_MTB',idCensLocal_MTB,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA16_MTB',idCensGlobal,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA16_MTB',idCensEstatal_ES,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA16_MTB',idCensRegional_09,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA16_MTB',idCensLocal_MTB,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);

p_ciutada_assigna_cens('CIUTADA01_SBD',idCensGlobal,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA01_SBD',idCensEstatal_ES,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA01_SBD',idCensRegional_09,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA01_SBD',idCensLocal_SBD,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA02_SBD',idCensGlobal,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA02_SBD',idCensEstatal_ES,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA02_SBD',idCensRegional_09,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA02_SBD',idCensLocal_SBD,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA03_SBD',idCensGlobal,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA03_SBD',idCensEstatal_ES,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA03_SBD',idCensRegional_09,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA03_SBD',idCensLocal_SBD,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA04_SBD',idCensGlobal,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA04_SBD',idCensEstatal_ES,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA04_SBD',idCensRegional_09,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA04_SBD',idCensLocal_SBD,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA05_SBD',idCensGlobal,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA05_SBD',idCensEstatal_ES,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA05_SBD',idCensRegional_09,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA05_SBD',idCensLocal_SBD,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA06_SBD',idCensGlobal,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA06_SBD',idCensEstatal_ES,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA06_SBD',idCensRegional_09,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA06_SBD',idCensLocal_SBD,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA07_SBD',idCensGlobal,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA07_SBD',idCensEstatal_ES,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA07_SBD',idCensRegional_09,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA07_SBD',idCensLocal_SBD,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA01_MTB',idCensGlobal,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA01_MTB',idCensEstatal_ES,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA01_MTB',idCensRegional_09,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA01_MTB',idCensLocal_MTB,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA02_MTB',idCensGlobal,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA02_MTB',idCensEstatal_ES,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA02_MTB',idCensRegional_09,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA02_MTB',idCensLocal_MTB,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA03_MTB',idCensGlobal,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA03_MTB',idCensEstatal_ES,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA03_MTB',idCensRegional_09,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA03_MTB',idCensLocal_MTB,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA04_MTB',idCensGlobal,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA04_MTB',idCensEstatal_ES,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA04_MTB',idCensRegional_09,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA04_MTB',idCensLocal_MTB,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA05_MTB',idCensGlobal,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA05_MTB',idCensEstatal_ES,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA05_MTB',idCensRegional_09,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA05_MTB',idCensLocal_MTB,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA06_MTB',idCensGlobal,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA06_MTB',idCensEstatal_ES,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA06_MTB',idCensRegional_09,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA06_MTB',idCensLocal_MTB,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA07_MTB',idCensGlobal,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA07_MTB',idCensEstatal_ES,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA07_MTB',idCensRegional_09,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA07_MTB',idCensLocal_MTB,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA12_MTB',null,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat ERROR s''ha d''especificar el cens --> RSP : '|| sortida);
p_ciutada_assigna_cens(null,idCensLocal_MTB,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat ERROR s''ha d''especificar el ciutada --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA07_MTB',idCensLocal_MTB,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat ERROR el ciutada ja existeix al cens --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA07_MTB',8823,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat ERROR codi cens no existent --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA07_ZZZ',idCensLocal_MTB,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat ERROR codi ciutada no existent --> RSP : '|| sortida);
p_ciutada_assigna_cens('CIUTADA12_MTB',idCensLocal_MTB,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assigna ciutada a cens : esperat OK --> RSP : '|| sortida);
  DBMS_OUTPUT.PUT_LINE (' ');

-- assignar ciutadans als cens
  DBMS_OUTPUT.PUT_LINE ('ELIMINA CIUTADA D''UN CENS :');
p_ciutada_elimina_cens('CIUTADA12_MTB',idCensLocal_MTB,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->elimina ciutada del cens : esperat OK --> RSP : '|| sortida);
p_ciutada_elimina_cens('CIUTADA12_MTB',idCensLocal_MTB,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->elimina ciutada del cens : esperat ERROR ciutada no existent en cens --> RSP : '|| sortida);
p_ciutada_elimina_cens('CIUTADA12_ZZZ',idCensLocal_MTB,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->elimina ciutada del cens : esperat ERROR ciutada no existent en cens --> RSP : '|| sortida);
p_ciutada_elimina_cens('CIUTADA12_MTB','98213',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->elimina ciutada del cens : esperat ERROR ciutada no existent en cens --> RSP : '|| sortida);
p_ciutada_elimina_cens(null,idCensLocal_MTB,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->elimina ciutada del cens : esperat ERROR s''ha d''especificar el ciutada --> RSP : '|| sortida);
p_ciutada_elimina_cens('CIUTADA12_MTB',null,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->elimina ciutada del cens : esperat ERROR s''ha d''especificar el cens --> RSP : '|| sortida);
  DBMS_OUTPUT.PUT_LINE (' ');

-- alta opcions
  DBMS_OUTPUT.PUT_LINE ('ALTA OPCIONS VOTACIONS :');
p_opcio_alta('SI', idOpcioSI ,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta opcio a votar : esperat OK --> RSP : '|| sortida);
p_opcio_alta('NO', idOpcioNO ,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta opcio a votar : esperat OK --> RSP : '|| sortida);
p_opcio_alta('Vot en Blanc', idOpcioBLANC ,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta opcio a votar : esperat OK --> RSP : '|| sortida);
p_opcio_alta('Republica',idOpcioRepublica ,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta opcio a votar : esperat OK --> RSP : '|| sortida);
p_opcio_alta('Monarquia',idOPcioMonarquia ,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta opcio a votar : esperat OK --> RSP : '|| sortida);
p_opcio_alta('Euro',idOpcioEuro ,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta opcio a votar : esperat OK --> RSP : '|| sortida);
p_opcio_alta('Dolar',idOPcioDolar ,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta opcio a votar : esperat OK --> RSP : '|| sortida);
p_opcio_alta('Pesseta',idOPcioPesseta ,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta opcio a votar : esperat OK --> RSP : '|| sortida);
p_opcio_alta('Pesseta',idCodiError ,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta opcio a votar : esperat ERROR l''opcio ja existeix --> RSP : '|| sortida);
p_opcio_alta(null,idCodiError ,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta opcio a votar : esperat ERROR s''ha d''especificar el nom de l''opcio --> RSP : '|| sortida);
p_opcio_alta('LLiura esterlina',idOPcioLliura ,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta opcio a votar : esperat OK --> RSP : '|| sortida);
p_opcio_alta('Franc frances',idOPcioFranc ,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta opcio a votar : esperat OK --> RSP : '|| sortida);
  DBMS_OUTPUT.PUT_LINE (' ');

-- baixa opcions
  DBMS_OUTPUT.PUT_LINE ('BAIXA OPCIONS VOTACIONS :');
p_opcio_baixa(idOPcioLliura ,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->baixa opcio a votar : esperat OK --> RSP : '|| sortida);
p_opcio_baixa(idOPcioLliura ,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->baixa opcio a votar : esperat ERROR opcio no existent --> RSP : '|| sortida);
p_opcio_baixa(null ,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->baixa opcio a votar : esperat ERROR s''ha d''especificar el codi d''opcio --> RSP : '|| sortida);
  DBMS_OUTPUT.PUT_LINE (' ');

-- modificacio opcions
  DBMS_OUTPUT.PUT_LINE ('MODIFICACIO OPCIONS VOTACIONS :');
p_opcio_modificacio(idOPcioFranc ,'Franc Belga', sortida);
  DBMS_OUTPUT.PUT_LINE ('-->modiciar opcio a votar : esperat OK --> RSP : '|| sortida);
p_opcio_modificacio(idOPcioPesseta ,'Franc Belga', sortida);
  DBMS_OUTPUT.PUT_LINE ('-->modiciar opcio a votar : esperat ERROR opcio ja existent --> RSP : '|| sortida);
p_opcio_modificacio(1212 ,'Marc Alemany', sortida);
  DBMS_OUTPUT.PUT_LINE ('-->modiciar opcio a votar : esperat ERROR opcio no existent --> RSP : '|| sortida);
p_opcio_modificacio(null ,'Marc Alemany', sortida);
  DBMS_OUTPUT.PUT_LINE ('-->modiciar opcio a votar : esperat ERROR s''ha d''especificar el codi opcio --> RSP : '|| sortida);
p_opcio_modificacio(idOPcioFranc ,null, sortida);
  DBMS_OUTPUT.PUT_LINE ('-->modiciar opcio a votar : esperat ERROR s''ha d''especificar el nom opcio --> RSP : '|| sortida);
  DBMS_OUTPUT.PUT_LINE (' ');

-- alta de votacions
  DBMS_OUTPUT.PUT_LINE ('ALTA VOTACIO :');
p_votacio_alta('Prohibir les descarregues pirates d''internet?',null,'01/12/2011',sysdate+2,'13/11/2011','PRESIDENT_001',null,'E',idOpcioSI, idOpcioNO, idVotacioDescar ,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta votacio : esperat OK --> RSP : '|| sortida);
p_votacio_alta('Limitar els continguts d''internet',null,'01/12/2011',sysdate+2,'13/11/2011','PRESIDENT_001',null,'E',idOpcioSI, idOpcioNO, idVotacioLimInt ,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta votacio : esperat OK --> RSP : '|| sortida);
p_votacio_alta('Esta d''acord amb les retallades de serveis?',null,'01/12/2011',sysdate+2,'13/11/2011','PRESIDENT_001',null,'E',idOpcioSI, idOpcioNO, idVotacioRetEco ,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta votacio : esperat OK --> RSP : '|| sortida);
p_votacio_alta('Esta d''acord amb l''augment d''impostos?',null,'01/12/2011',sysdate+2,'13/11/2011','PRESIDENT_001',null,'E',idOpcioSI, idOpcioNO, idVotacioAugImp ,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta votacio : esperat OK --> RSP : '|| sortida);
p_votacio_alta('Transport pblic per la nit?',null,'01/12/2011',sysdate+2,'13/11/2011','PRESIDENT_001',null,'E',idOpcioSI, idOpcioNO, idVotacioTrPNit ,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta votacio : esperat OK --> RSP : '|| sortida);
p_votacio_alta('Es volen llibres de text gratuits?',null,'01/12/2011',sysdate+2,'13/11/2011','PRESIDENT_001',null,'E',idOpcioSI, idOpcioNO, idVotacioLLiGrt ,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta votacio : esperat OK --> RSP : '|| sortida);
p_votacio_alta('Cotxes pel centre histric?',null,'01/12/2011',sysdate+2,'13/11/2011','PRESIDENT_001',null,'E',idOpcioSI, idOpcioNO, idVotacioCotCHi ,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta votacio : esperat OK --> RSP : '|| sortida);
p_votacio_alta('Son les centrals nuclers necessaries?',null,'01/12/2011',sysdate+2,'13/11/2011','PRESIDENT_001',null,'E',idOpcioSI, idOpcioNO, idVotacioNuclears ,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta votacio : esperat OK --> RSP : '|| sortida);
p_votacio_alta('Catalunya ha de ser independent?',null,'01/12/2011',sysdate+2,'13/11/2011','PRESIDENT_002',null,'E', idOpcioSI, idOpcioNO, idVotacioCatIndep ,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta votacio : esperat OK --> RSP : '|| sortida);
p_votacio_alta('Espanya, republica o monarquia?',null,'01/12/2011',sysdate+2,'13/11/2011','PRESIDENT_003',null,'E',idOpcioRepublica, idOpcioMonarquia, idVotacioESRepMon ,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta votacio : esperat OK --> RSP : '|| sortida);
p_votacio_alta('Quina ha de ser la moneda d''europa?',null,'01/12/2011',sysdate+2,'13/11/2011','PRESIDENT_004',null,'E', idOpcioEuro, idOpcioDolar, idVotacioMoneda ,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta votacio : esperat OK --> RSP : '|| sortida);
p_votacio_alta('Sabadell ha de tenir aeroport?',null,'01/12/2011',sysdate+2,'13/11/2011','PRESIDENT_005',null,'E', idOpcioSI, idOpcioNO, idVotacioSBDAero,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta votacio : esperat OK --> RSP : '|| sortida);
p_votacio_alta('Els autobusos han de funcionar de nit?',null,'01/12/2013','31/12/2013','13/11/2013','PRESIDENT_006',null,'E', idOpcioSI, idOpcioNO, idVotacioBusNit,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta votacio : esperat OK --> RSP : '|| sortida);
p_votacio_alta('S''instal.la antena de telefonia?',null,'01/07/2011','31/07/2011','13/06/2011','PRESIDENT_001',null,'E', idOpcioSI, idOpcioNO, idVotacioAntTlf,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta votacio : esperat OK --> RSP : '|| sortida);
p_votacio_alta('Hi ha d''haver parada de l''AVE?',null,'01/12/2011',sysdate,'13/11/2011','PRESIDENT_002',null,'E', idOpcioSI, idOpcioNO, idVotacioParAVE,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta votacio : esperat OK --> RSP : '|| sortida);
p_votacio_alta('El catala ha de ser oficial a parlament europeu?',null,'01/12/2011','31/12/2013','13/11/2011','PRESIDENT_002',null,'E', idOpcioSI, idOpcioNO, idVotacioCatEur,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta votacio : esperat OK --> RSP : '|| sortida);
p_votacio_alta(null,null,'01/12/2011','31/12/2011','13/11/2011','PRESIDENT_002',null,'E', idOpcioSI, idOpcioNO, idCodiError,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta votacio : esperat ERROR s''ha d''especificar el titol --> RSP : '|| sortida);
p_votacio_alta('Hi ha d''haver parada de FFCC?',null,null,'31/12/2011','13/11/2011','PRESIDENT_002',null,'E', idOpcioSI, idOpcioNO, idCodiError,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta votacio : esperat ERROR s''ha d''especificar la data d''inici --> RSP : '|| sortida);
p_votacio_alta('Hi ha d''haver parada de FFCC?',null,'01/12/2011',null,'13/11/2011','PRESIDENT_002',null,'E', idOpcioSI, idOpcioNO, idCodiError,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta votacio : esperat ERROR s''ha d''especificar la data final --> RSP : '|| sortida);
p_votacio_alta('Hi ha d''haver parada de FFCC?',null,'01/12/2011','31/12/2011',null,'PRESIDENT_002',null,'E', idOpcioSI, idOpcioNO, idCodiError,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta votacio : esperat ERROR s''ha d''especificar la data publicacio --> RSP : '|| sortida);
p_votacio_alta('Hi ha d''haver parada de FFCC?',null,'01/12/2011','31/12/2011','13/11/2011',null,null,'E', idOpcioSI, idOpcioNO, idCodiError,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta votacio : esperat ERROR s''ha d''especificar el president --> RSP : '|| sortida);
p_votacio_alta('Hi ha d''haver parada de FFCC?',null,'01/12/2011','31/12/2011','13/11/2011','PRESIDENT_002',null,null, idOpcioSI, idOpcioNO, idCodiError,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta votacio : esperat ERROR s''ha d''especificar l''estat --> RSP : '|| sortida);
p_votacio_alta('Hi ha d''haver parada de FFCC?',null,'45/12/2011','31/12/2011','13/11/2011','PRESIDENT_002',null,'E', idOpcioSI, idOpcioNO, idCodiError,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta votacio : esperat ERROR data inici incorrecte --> RSP : '|| sortida);
p_votacio_alta('Hi ha d''haver parada de FFCC?',null,'01/12/2011','31/32/2011','13/11/2011','PRESIDENT_002',null,'E', idOpcioSI, idOpcioNO, idCodiError,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta votacio : esperat ERROR data final incorrecte --> RSP : '|| sortida);
p_votacio_alta('Hi ha d''haver parada de FFCC?',null,'01/12/2011','31/12/2011','13/11/SSSS','PRESIDENT_002',null,'E', idOpcioSI, idOpcioNO, idCodiError,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta votacio : esperat ERROR data pulicacio incorrecte --> RSP : '|| sortida);
p_votacio_alta('Hi ha d''haver parada de FFCC?',null,'01/12/2011','30/11/2011','13/11/2011','PRESIDENT_002',null,'E', idOpcioSI, idOpcioNO, idCodiError,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta votacio : esperat ERROR data final ha de ser posterior a inicial --> RSP : '|| sortida);
p_votacio_alta('Hi ha d''haver parada de FFCC?',null,'01/12/2011','31/12/2011','28/11/2011','PRESIDENT_002',null,'E', idOpcioSI, idOpcioNO, idCodiError,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta votacio : esperat ERROR data publicacio ha de ser minim 1 setmana abans inicial --> RSP : '|| sortida);
p_votacio_alta('Hi ha d''haver parada de l''AVE?',null,'01/12/2011','31/12/2011','13/11/2011','PRESIDENT_002',null,'E', idOpcioSI, idOpcioNO, idCodiError,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta votacio : esperat ERROR la votacio ja existeix --> RSP : '|| sortida);
p_votacio_alta('Hi ha d''haver parada de FFCC?',null,'01/12/2011','31/12/2011','28/11/2011','PRESIDENT_002',null,'E', null, idOpcioNO, idCodiError,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta votacio : esperat ERROR es obligatori especificar dues opcions com a mnim --> RSP : '|| sortida);
p_votacio_alta('Hi ha d''haver parada de FFCC?',null,'01/12/2011','31/12/2011','15/11/2011','PRESIDENT_002',null,'E', 121, idOpcioNO, idCodiError,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta votacio : esperat ERROR l''opci no existeix --> RSP : '|| sortida);
p_votacio_alta('Hi ha d''haver parada de FFCC?',null,'01/12/2011','31/12/2011','15/11/2011','PRESIDENT_002',null,'E', idOpcioSI, 1212, idCodiError,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta votacio : esperat ERROR l''opci no existeix --> RSP : '|| sortida);
p_votacio_alta('Hi ha d''haver parada de FFCC?',null,'01/12/2011','31/12/2011','15/11/2011','PRESIDENT_002',null,'F', idOpcioSI, idOpcioNO, idCodiError,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->alta votacio : esperat ERROR No es pot crear una votaci amb l''estat F de finalitzada --> RSP : '|| sortida);

  DBMS_OUTPUT.PUT_LINE (' ');

-- baixa de votacions
  DBMS_OUTPUT.PUT_LINE ('BAIXA VOTACIO :');
p_votacio_baixa(idVotacioParAVE,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->baixa votacio : esperat OK --> RSP : '|| sortida);
p_votacio_baixa(idVotacioParAVE,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->baixa votacio : esperat ERROR votacio no existeix --> RSP : '|| sortida);
p_votacio_baixa(null,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->baixa votacio : esperat ERROR s''ha d''especificar la votacio a eliminar --> RSP : '|| sortida);
  DBMS_OUTPUT.PUT_LINE (' ');

-- modificacio de votacions
  DBMS_OUTPUT.PUT_LINE ('MODIFICACIO VOTACIO :');
p_votacio_modificacio(idVotacioAntTlf, 'S''instal.la antena de telefonia?',null,'01/07/2011','10/07/2011','13/06/2011','PRESIDENT_001',null,'E', sortida);
  DBMS_OUTPUT.PUT_LINE ('-->modificacio votacio : esperat OK --> RSP : '|| sortida);
p_votacio_modificacio(null, 'S''instal.la antena de telefonia?',null,'01/12/2011','10/12/2011','13/11/2011','PRESIDENT_001',null,'E', sortida);
  DBMS_OUTPUT.PUT_LINE ('-->modificacio votacio : esperat ERROR s''ha d''especificar el codi de votacio --> RSP : '|| sortida);
p_votacio_modificacio(idVotacioAntTlf, null,null,'01/12/2011','10/12/2011','13/11/2011','PRESIDENT_001',null,'E', sortida);
  DBMS_OUTPUT.PUT_LINE ('-->modificacio votacio : esperat ERROR s''ha d''especificar el titol --> RSP : '|| sortida);
p_votacio_modificacio(idVotacioAntTlf, 'S''instal.la antena de telefonia?',null,null,'10/12/2011','13/11/2011','PRESIDENT_001',null,'E', sortida);
  DBMS_OUTPUT.PUT_LINE ('-->modificacio votacio : esperat ERROR s''ha d''especificar la data d''inici --> RSP : '|| sortida);
p_votacio_modificacio(idVotacioAntTlf, 'S''instal.la antena de telefonia?',null,'01/12/2011',null,'13/11/2011','PRESIDENT_001',null,'E', sortida);
  DBMS_OUTPUT.PUT_LINE ('-->modificacio votacio : esperat ERROR s''ha d''especificar la data final --> RSP : '|| sortida);
p_votacio_modificacio(idVotacioAntTlf, 'S''instal.la antena de telefonia?',null,'01/12/2011','10/12/2011',null,'PRESIDENT_001',null,'E', sortida);
  DBMS_OUTPUT.PUT_LINE ('-->modificacio votacio : esperat ERROR s''ha d''especificar la data publicaci --> RSP : '|| sortida);
p_votacio_modificacio(idVotacioAntTlf, 'S''instal.la antena de telefonia?',null,'01/12/2011','10/12/2011','13/11/2011',null,null,'E', sortida);
  DBMS_OUTPUT.PUT_LINE ('-->modificacio votacio : esperat ERROR s''ha d''especificar el president --> RSP : '|| sortida);
p_votacio_modificacio(idVotacioAntTlf, 'S''instal.la antena de telefonia?',null,'01/12/2011','10/12/2011','13/11/2011','PRESIDENT_001',null,null, sortida);
  DBMS_OUTPUT.PUT_LINE ('-->modificacio votacio : esperat ERROR s''ha d''especificar l''estat --> RSP : '|| sortida);
p_votacio_modificacio(idVotacioAntTlf, 'S''instal.la antena de telefonia?',null,'45/12/2011','10/12/2011','13/11/2011','PRESIDENT_001',null,'E', sortida);
  DBMS_OUTPUT.PUT_LINE ('-->modificacio votacio : esperat ERROR data inici incorrecte --> RSP : '|| sortida);
p_votacio_modificacio(idVotacioAntTlf, 'S''instal.la antena de telefonia?',null,'01/12/2011','10/13/2011','13/11/2011','PRESIDENT_001',null,'E', sortida);
  DBMS_OUTPUT.PUT_LINE ('-->modificacio votacio : esperat ERROR data final incorrecte --> RSP : '|| sortida);
p_votacio_modificacio(idVotacioAntTlf, 'S''instal.la antena de telefonia?',null,'01/12/2011','10/12/2011','13/11/AAAA','PRESIDENT_001',null,'E', sortida);
  DBMS_OUTPUT.PUT_LINE ('-->modificacio votacio : esperat ERROR data publicacio incorrecte --> RSP : '|| sortida);
p_votacio_modificacio(idVotacioAntTlf, 'S''instal.la antena de telefonia?',null,'01/12/2011','10/11/2011','13/11/2011','PRESIDENT_001',null,'E', sortida);
  DBMS_OUTPUT.PUT_LINE ('-->modificacio votacio : esperat ERROR data final ha de ser posterior a inicial --> RSP : '|| sortida);
p_votacio_modificacio(idVotacioAntTlf, 'S''instal.la antena de telefonia?',null,'01/12/2011','10/12/2011','30/11/2011','PRESIDENT_001',null,'E', sortida);
  DBMS_OUTPUT.PUT_LINE ('-->modificacio votacio : esperat ERROR data publicacio ha de ser minim 1 setmana abans inicial --> RSP : '|| sortida);
p_votacio_modificacio(8981, 'S''instal.la antena de telefonia?',null,'01/12/2011','10/12/2011','13/11/2011','PRESIDENT_001',null,'E', sortida);
  DBMS_OUTPUT.PUT_LINE ('-->modificacio votacio : esperat ERROR la votacio no existeix --> RSP : '|| sortida);
p_votacio_modificacio(idVotacioAntTlf, 'Espanya, republica o monarquia?',null,'01/12/2011','10/12/2011','13/11/2011','PRESIDENT_001',null,'E', sortida);
  DBMS_OUTPUT.PUT_LINE ('-->modificacio votacio : esperat ERROR la votacio ja existeix --> RSP : '|| sortida);
p_votacio_modificacio(idVotacioAntTlf, 'S''instal.la antena de telefonia?',null,'01/07/2011','10/07/2011','13/06/2011','PRESIDENT_001',null,'F', sortida);
  DBMS_OUTPUT.PUT_LINE ('-->modificacio votacio : esperat ERROR No es pot modificar l''estat, i posar l''estat F de finalitzada --> RSP : '|| sortida);
  DBMS_OUTPUT.PUT_LINE (' ');

-- afegir opcions a votar a les votacions
  DBMS_OUTPUT.PUT_LINE ('AFEGIR OPCIONS A VOTAR A LES VOTACIONS :');
p_votacio_afegir_opcio(idVotacioNuclears,idOpcioBLANC,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->afegir opcio a votacio : esperat OK --> RSP : '|| sortida);
p_votacio_afegir_opcio(idVotacioCatIndep,idOpcioBLANC,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->afegir opcio a votacio : esperat OK --> RSP : '|| sortida);
p_votacio_afegir_opcio(idVotacioMoneda,idOpcioPesseta,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->afegir opcio a votacio : esperat OK --> RSP : '|| sortida);
p_votacio_afegir_opcio(idVotacioSBDAero,idOpcioBLANC,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->afegir opcio a votacio : esperat OK --> RSP : '|| sortida);
p_votacio_afegir_opcio(idVotacioBusNit,idOpcioBLANC,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->afegir opcio a votacio : esperat OK --> RSP : '|| sortida);
p_votacio_afegir_opcio(idVotacioAntTlf,idOpcioBLANC,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->afegir opcio a votacio : esperat OK --> RSP : '|| sortida);
p_votacio_afegir_opcio(idVotacioCatEur,idOpcioBLANC,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->afegir opcio a votacio : esperat OK --> RSP : '|| sortida);
p_votacio_afegir_opcio(null,idOpcioBLANC,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->afegir opcio a votacio : esperat ERROR s''ha d''especificar el codi de votacio --> RSP : '|| sortida);
p_votacio_afegir_opcio(idVotacioAntTlf,null,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->afegir opcio a votacio : esperat ERROR s''ha d''especificar el codi de l''opcio --> RSP : '|| sortida);
p_votacio_afegir_opcio(8787,idOpcioBLANC,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->afegir opcio a votacio : esperat ERROR codi de votacio no existent --> RSP : '|| sortida);
p_votacio_afegir_opcio(idVotacioAntTlf,9991,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->afegir opcio a votacio : esperat ERROR codi d''opcio no existent --> RSP : '|| sortida);
p_votacio_afegir_opcio(idVotacioAntTlf,idOpcioBLANC,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->afegir opcio a votacio : esperat ERROR l''opcio ja esta assignada a la votacio --> RSP : '|| sortida);
p_votacio_afegir_opcio(idVotacioAntTlf,idOpcioRepublica,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->afegir opcio a votacio : esperat OK --> RSP : '|| sortida);
  DBMS_OUTPUT.PUT_LINE (' ');

-- eliminar opcions a votar a les votacions
  DBMS_OUTPUT.PUT_LINE ('ELIMINAR OPCIONS A VOTAR A LES VOTACIONS :');
p_votacio_elimina_opcio(idVotacioAntTlf,idOpcioRepublica,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->eliminar opcio a votacio : esperat OK --> RSP : '|| sortida);
p_votacio_elimina_opcio(idVotacioNuclears,idOpcioBLANC,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->eliminar opcio a votacio : esperat OK --> RSP : '|| sortida);
p_votacio_elimina_opcio(idVotacioNuclears,idOpcioSI,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->eliminar opcio a votacio : esperat ERROR La votaci com a mnim ha de tenir 2 opcions, no es pot eliminar. --> RSP : '|| sortida);
p_votacio_elimina_opcio(idVotacioAntTlf,idOpcioRepublica,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->eliminar opcio a votacio : esperat ERROR l''opci no existeix a la votacio --> RSP : '|| sortida);
p_votacio_elimina_opcio(null,idOpcioRepublica,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->eliminar opcio a votacio : esperat ERROR s''ha d''especificar el codi de votacio --> RSP : '|| sortida);
p_votacio_elimina_opcio(idVotacioAntTlf,null,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->eliminar opcio a votacio : esperat ERROR s''ha d''especificar el codi de l''opcio --> RSP : '|| sortida);
p_votacio_afegir_opcio(idVotacioNuclears,idOpcioBLANC,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->afegir opcio a votacio : esperat OK --> RSP : '|| sortida);
  DBMS_OUTPUT.PUT_LINE (' ');

-- assignar cens a les votacions
  DBMS_OUTPUT.PUT_LINE ('ASSIGNAR CENS A LES VOTACIONS :');
p_votacio_afegir_cens(idVotacioDescar,idCensGlobal,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assignar cens a votacio : esperat OK --> RSP : '|| sortida);
p_votacio_afegir_cens(idVotacioLimInt,idCensGlobal,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assignar cens a votacio : esperat OK --> RSP : '|| sortida);
p_votacio_afegir_cens(idVotacioRetEco,idCensEstatal_ES,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assignar cens a votacio : esperat OK --> RSP : '|| sortida);
p_votacio_afegir_cens(idVotacioAugImp,idCensEstatal_ES,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assignar cens a votacio : esperat OK --> RSP : '|| sortida);
p_votacio_afegir_cens(idVotacioTrPNit,idCensLocal_SBD,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assignar cens a votacio : esperat OK --> RSP : '|| sortida);
p_votacio_afegir_cens(idVotacioLLiGrt,idCensRegional_09,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assignar cens a votacio : esperat OK --> RSP : '|| sortida);
p_votacio_afegir_cens(idVotacioCotCHi,idCensLocal_SBD,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assignar cens a votacio : esperat OK --> RSP : '|| sortida);
p_votacio_afegir_cens(idVotacioNuclears,idCensGlobal,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assignar cens a votacio : esperat OK --> RSP : '|| sortida);
p_votacio_afegir_cens(idVotacioNuclears,idCensEstatal_ES,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assignar cens a votacio : esperat OK --> RSP : '|| sortida);
p_votacio_afegir_cens(idVotacioCatIndep,idCensRegional_09,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assignar cens a votacio : esperat OK --> RSP : '|| sortida);
p_votacio_afegir_cens(idVotacioESRepMon,idCensEstatal_ES,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assignar cens a votacio : esperat OK --> RSP : '|| sortida);
p_votacio_afegir_cens(idVotacioMoneda,idCensGlobal,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assignar cens a votacio : esperat OK --> RSP : '|| sortida);
p_votacio_afegir_cens(idVotacioSBDAero,idCensLocal_SBD,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assignar cens a votacio : esperat OK --> RSP : '|| sortida);
p_votacio_afegir_cens(idVotacioBusNit,idCensLocal_SBD,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assignar cens a votacio : esperat OK --> RSP : '|| sortida);
p_votacio_afegir_cens(idVotacioAntTlf,idCensLocal_SBD,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assignar cens a votacio : esperat OK --> RSP : '|| sortida);
p_votacio_afegir_cens(idVotacioAntTlf,idCensGlobal,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assignar cens a votacio : esperat OK --> RSP : '|| sortida);
p_votacio_afegir_cens(idVotacioCatEur,idCensRegional_09,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assignar cens a votacio : esperat OK --> RSP : '|| sortida);
p_votacio_afegir_cens(null,idCensGlobal,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assignar cens a votacio : esperat ERROR s''ha d''especificar el codi de votacio --> RSP : '|| sortida);
p_votacio_afegir_cens(idVotacioAntTlf,null,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assignar cens a votacio : esperat ERROR s''ha d''especificar el codi de cens --> RSP : '|| sortida);
p_votacio_afegir_cens(3737,idCensGlobal,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assignar cens a votacio : esperat ERROR el codi de votacio no existeix --> RSP : '|| sortida);
p_votacio_afegir_cens(idVotacioAntTlf,4848,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assignar cens a votacio : esperat ERROR el codi de cens no existeix --> RSP : '|| sortida);
p_votacio_afegir_cens(idVotacioAntTlf,idCensGlobal,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->assignar cens a votacio : esperat ERROR el cens ja esta assignat a la votacio --> RSP : '|| sortida);
  DBMS_OUTPUT.PUT_LINE (' ');

-- eliminar cens de les votacions
  DBMS_OUTPUT.PUT_LINE ('ELIMINAR CENS DE LES VOTACIONS :');
p_votacio_elimina_cens(idVotacioAntTlf,idCensGlobal,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->eliminar cens a votacio : esperat OK --> RSP : '|| sortida);
p_votacio_elimina_cens(null,idCensGlobal,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->eliminar cens a votacio : esperat ERROR s''ha d''especificar el codi de votacio --> RSP : '|| sortida);
p_votacio_elimina_cens(idVotacioAntTlf,null,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->eliminar cens a votacio : esperat ERROR s''ha d''especificar el codi de cens --> RSP : '|| sortida);
p_votacio_elimina_cens(idVotacioAntTlf,idCensGlobal,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->eliminar cens a votacio : esperat ERROR el cens no existeix a la votacio --> RSP : '|| sortida);
  DBMS_OUTPUT.PUT_LINE (' ');

-- efectuar votacions
  DBMS_OUTPUT.PUT_LINE ('VOTAR :');
p_votar('CIUTADA03_MTB',idVotacioDescar,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA04_MTB',idVotacioDescar,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA01_SBD',idVotacioDescar,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA03_SBD',idVotacioDescar,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA04_SBD',idVotacioDescar,idOpcioSI,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA05_SBD',idVotacioDescar,idOpcioSI,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA06_SBD',idVotacioDescar,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);  
p_votar('CIUTADA11_SBD',idVotacioDescar,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA13_SBD',idVotacioDescar,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA14_SBD',idVotacioDescar,idOpcioSI,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA15_SBD',idVotacioDescar,idOpcioSI,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA16_SBD',idVotacioDescar,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);  

p_votar('CIUTADA03_MTB',idVotacioLimInt,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA04_MTB',idVotacioLimInt,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA01_SBD',idVotacioLimInt,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA03_SBD',idVotacioLimInt,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA04_SBD',idVotacioLimInt,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA05_SBD',idVotacioLimInt,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA06_SBD',idVotacioLimInt,idOpcioSI,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);  
p_votar('CIUTADA13_MTB',idVotacioLimInt,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA14_MTB',idVotacioLimInt,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA11_SBD',idVotacioLimInt,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA13_SBD',idVotacioLimInt,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA14_SBD',idVotacioLimInt,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA15_SBD',idVotacioLimInt,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA16_SBD',idVotacioLimInt,idOpcioSI,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);  

p_votar('CIUTADA03_MTB',idVotacioRetEco,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA04_MTB',idVotacioRetEco,idOpcioSI,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA01_SBD',idVotacioRetEco,idOpcioSI,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA03_SBD',idVotacioRetEco,idOpcioSI,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA04_SBD',idVotacioRetEco,idOpcioSI,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA05_SBD',idVotacioRetEco,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA06_SBD',idVotacioRetEco,idOpcioSI,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);  
p_votar('CIUTADA12_SBD',idVotacioRetEco,idOpcioSI,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA13_SBD',idVotacioRetEco,idOpcioSI,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA14_SBD',idVotacioRetEco,idOpcioSI,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA15_SBD',idVotacioRetEco,idOpcioSI,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA16_SBD',idVotacioRetEco,idOpcioSI,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);  

p_votar('CIUTADA03_MTB',idVotacioAugImp,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA04_MTB',idVotacioAugImp,idOpcioSI,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA01_SBD',idVotacioAugImp,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA03_SBD',idVotacioAugImp,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA04_SBD',idVotacioAugImp,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA05_SBD',idVotacioAugImp,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA06_SBD',idVotacioAugImp,idOpcioSI,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);  
p_votar('CIUTADA21_MTB',idVotacioAugImp,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA22_MTB',idVotacioAugImp,idOpcioSI,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA13_MTB',idVotacioAugImp,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA14_MTB',idVotacioAugImp,idOpcioSI,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA11_SBD',idVotacioAugImp,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA13_SBD',idVotacioAugImp,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA14_SBD',idVotacioAugImp,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA15_SBD',idVotacioAugImp,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA16_SBD',idVotacioAugImp,idOpcioSI,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);  
  
p_votar('CIUTADA01_MTB',idVotacioLLiGrt,idOpcioSI,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA03_MTB',idVotacioLLiGrt,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA04_MTB',idVotacioLLiGrt,idOpcioSI,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA01_SBD',idVotacioLLiGrt,idOpcioSI,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA03_SBD',idVotacioLLiGrt,idOpcioSI,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA04_SBD',idVotacioLLiGrt,idOpcioSI,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA05_SBD',idVotacioLLiGrt,idOpcioSI,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA15_SBD',idVotacioLLiGrt,idOpcioSI,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA06_SBD',idVotacioLLiGrt,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA16_SBD',idVotacioLLiGrt,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA01_SBD',idVotacioCotCHI,idOpcioSI,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA03_SBD',idVotacioCotCHI,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA04_SBD',idVotacioCotCHI,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA05_SBD',idVotacioCotCHI,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA06_SBD',idVotacioCotCHI,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA01_SBD',idVotacioTrpNit,idOpcioSI,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA03_SBD',idVotacioTrpNit,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA04_SBD',idVotacioTrpNit,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA05_SBD',idVotacioTrpNit,idOpcioSI,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA06_SBD',idVotacioTrpNit,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA01_SBD',idVotacioSBDAero,idOpcioSI,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA02_SBD',idVotacioSBDAero,idOpcioSI,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat ERROR el ciutada no es major d''edat --> RSP : '|| sortida);
p_votar('CIUTADA03_SBD',idVotacioSBDAero,idOpcioSI,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA04_SBD',idVotacioSBDAero,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA05_SBD',idVotacioSBDAero,idOpcioBLANC,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA06_SBD',idVotacioSBDAero,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA01_SBD',idVotacioCatIndep,idOpcioSI,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA02_SBD',idVotacioCatIndep,idOpcioSI,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat ERROR el ciutada no es major d''edat --> RSP : '|| sortida);
p_votar('CIUTADA03_SBD',idVotacioCatIndep,idOpcioSI,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA04_SBD',idVotacioCatIndep,idOpcioSI,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA05_SBD',idVotacioCatIndep,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA06_SBD',idVotacioCatIndep,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA01_MTB',idVotacioCatIndep,idOpcioSI,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA02_MTB',idVotacioCatIndep,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat ERROR el ciutada no es major d''edat --> RSP : '|| sortida);
p_votar('CIUTADA03_MTB',idVotacioCatIndep,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA04_MTB',idVotacioCatIndep,idOpcioSI,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA01_SBD',idVotacioNuclears,idOpcioSI,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA02_SBD',idVotacioNuclears,idOpcioSI,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat ERROR el ciutada no es major d''edat --> RSP : '|| sortida);
p_votar('CIUTADA03_SBD',idVotacioNuclears,idOpcioSI,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA04_SBD',idVotacioNuclears,idOpcioSI,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA05_SBD',idVotacioNuclears,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA06_SBD',idVotacioNuclears,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA01_MTB',idVotacioNuclears,idOpcioSI,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA02_MTB',idVotacioNuclears,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat ERROR el ciutada no es major d''edat --> RSP : '|| sortida);
p_votar('CIUTADA03_MTB',idVotacioNuclears,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA04_MTB',idVotacioNuclears,idOpcioSI,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA05_MTB',idVotacioNuclears,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA06_MTB',idVotacioNuclears,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA07_MTB',idVotacioNuclears,idOpcioSI,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat ERROR el ciutada no es major d''edat --> RSP : '|| sortida);
p_votar('CIUTADA01_SBD',idVotacioMoneda,idOpcioEuro,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA03_SBD',idVotacioMoneda,idOpcioEuro,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA04_SBD',idVotacioMoneda,idOpcioEuro,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA05_SBD',idVotacioMoneda,idOpcioDolar,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA06_SBD',idVotacioMoneda,idOpcioDolar,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA01_MTB',idVotacioMoneda,idOpcioDolar,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA02_MTB',idVotacioMoneda,idOpcioEuro,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat ERROR el ciutada no es major d''edat --> RSP : '|| sortida);
p_votar('CIUTADA03_MTB',idVotacioMoneda,idOpcioEuro,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA04_MTB',idVotacioMoneda,idOpcioDolar,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA05_MTB',idVotacioMoneda,idOpcioDolar,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA06_MTB',idVotacioMoneda,idOpcioDolar,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA15_MTB',idVotacioMoneda,idOpcioDolar,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA16_MTB',idVotacioMoneda,idOpcioDolar,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA07_MTB',idVotacioMoneda,idOpcioPesseta,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat ERROR el ciutada no es major d''edat --> RSP : '|| sortida);
p_votar('CIUTADA04_SBD',idVotacioESRepMon,idOpcioRepublica,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA05_SBD',idVotacioESRepMon,idOpcioMonarquia,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA06_SBD',idVotacioESRepMon,idOpcioMonarquia, sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA01_MTB',idVotacioESRepMon,idOpcioRepublica,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA21_MTB',idVotacioESRepMon,idOpcioRepublica,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA02_MTB',idVotacioESRepMon,idOpcioRepublica,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat ERROR el ciutada no es major d''edat --> RSP : '|| sortida);
p_votar('CIUTADA03_MTB',idVotacioESRepMon,idOpcioMonarquia,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA04_MTB',idVotacioESRepMon,idOpcioMonarquia,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA03_MTB',idVotacioCatEur,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA04_MTB',idVotacioCatEur,idOpcioNO,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA05_MTB',idVotacioCatEur,idOpcioSI,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar('CIUTADA06_MTB',idVotacioCatEur,idOpcioSI,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat OK --> RSP : '|| sortida);
p_votar(null,idVotacioESRepMon,idOpcioMonarquia,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat ERROR s''ha d''especificar el ciutada --> RSP : '|| sortida);
p_votar('CIUTADA04_MTB',null,idOpcioMonarquia,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat ERROR s''ha d''especificar la votacio --> RSP : '|| sortida);
p_votar('CIUTADA04_MTB',idVotacioESRepMon,null,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat ERROR s''ha d''especificar l''opcio que es vota --> RSP : '|| sortida);
p_votar('CIUTADA04_ZZZ',idVotacioESRepMon,idOpcioMonarquia,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat ERROR el ciutada no existeix --> RSP : '|| sortida);
p_votar('CIUTADA04_MTB',idVotacioSBDAero,idOpcioSI,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat ERROR el ciutada no pertany als cens assignats a la votacio --> RSP : '|| sortida);
p_votar('CIUTADA04_MTB',idVotacioESRepMon,idOpcioSI,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat ERROR l''opcio no esta disponible per votar-la --> RSP : '|| sortida);
p_votar('CIUTADA01_SBD',idVotacioBusNit,idOpcioSI,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat ERROR la votacio no esta oberta --> RSP : '|| sortida);
p_votar('CIUTADA01_SBD',idVotacioAntTlf,idOpcioSI,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat ERROR la votacio ja esta tancada --> RSP : '|| sortida);
p_votar('CIUTADA04_MTB',idVotacioESRepMon,idOpcioMonarquia,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->votar : esperat ERROR el ciutada ja ha votat en aquesta votacio --> RSP : '|| sortida);
  DBMS_OUTPUT.PUT_LINE (' ');

p_votacio_modificacio(idVotacioDescar,'Prohibir les descarregues pirates d''internet?',null,'01/12/2011',sysdate-1,'13/11/2011','PRESIDENT_001',null,'O',sortida);
p_votacio_modificacio(idVotacioLimInt,'Limitar els continguts d''internet',null,'01/12/2011',sysdate-1,'13/11/2011','PRESIDENT_001',null,'O',sortida);
p_votacio_modificacio(idVotacioRetEco,'Esta d''acord amb les retallades de serveis?',null,'01/12/2011',sysdate-1,'13/11/2011','PRESIDENT_001',null,'O',sortida);
p_votacio_modificacio(idVotacioAugImp,'Esta d''acord amb l''augment d''impostos?',null,'01/12/2011',sysdate-1,'13/11/2011','PRESIDENT_001',null,'O',sortida);
p_votacio_modificacio(idVotacioTrPNit, 'Transport pblic per la nit?',null,'01/12/2011',sysdate-1,'13/11/2011','PRESIDENT_001',null,'O', sortida);
p_votacio_modificacio(idVotacioLLiGrt ,'Es volen llibres de text gratuits?',null,'01/12/2011',sysdate-1,'13/11/2011','PRESIDENT_001',null,'O', sortida);
p_votacio_modificacio(idVotacioCotCHi ,'Cotxes pel centre histric?',null,'01/12/2011',sysdate-1,'13/11/2011','PRESIDENT_001',null,'O', sortida);
p_votacio_modificacio(idVotacioNuclears ,'Son les centrals nuclers necessaries?',null,'01/12/2011',sysdate-1,'13/11/2011','PRESIDENT_001',null,'O', sortida);
p_votacio_modificacio(idVotacioCatIndep ,'Catalunya ha de ser independent?',null,'01/12/2011',sysdate-1,'13/11/2011','PRESIDENT_002',null,'O', sortida);
p_votacio_modificacio(idVotacioESRepMon,'Espanya, republica o monarquia?',null,'01/12/2011',sysdate-1,'13/11/2011','PRESIDENT_003',null,'O' ,sortida);
p_votacio_modificacio(idVotacioMoneda ,'Quina ha de ser la moneda d''europa?',null,'01/12/2011',sysdate-1,'13/11/2011','PRESIDENT_004',null,'O', sortida);
p_votacio_modificacio(idVotacioSBDAero ,'Sabadell ha de tenir aeroport?',null,'01/12/2011',sysdate-1,'13/11/2011','PRESIDENT_005',null,'O', sortida);

-- finalitzar votacio
  DBMS_OUTPUT.PUT_LINE ('FINALITZAR VOTACIO :');
p_final_votacio(idVotacioDescar,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->finalitzar votacio : esperat OK --> RSP : '|| sortida);
p_final_votacio(idVotacioLimInt,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->finalitzar votacio : esperat OK --> RSP : '|| sortida);
p_final_votacio(idVotacioRetEco,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->finalitzar votacio : esperat OK --> RSP : '|| sortida);
p_final_votacio(idVotacioAugImp,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->finalitzar votacio : esperat OK --> RSP : '|| sortida);

p_final_votacio(idVotacioTrPNit,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->finalitzar votacio : esperat OK --> RSP : '|| sortida);
p_final_votacio(idVotacioLLiGrt,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->finalitzar votacio : esperat OK --> RSP : '|| sortida);
p_final_votacio(idVotacioCotCHi,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->finalitzar votacio : esperat OK --> RSP : '|| sortida);
p_final_votacio(idVotacioNuclears,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->finalitzar votacio : esperat OK --> RSP : '|| sortida);
p_final_votacio(idVotacioCatIndep,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->finalitzar votacio : esperat OK --> RSP : '|| sortida);
p_final_votacio(idVotacioESRepMon,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->finalitzar votacio : esperat OK --> RSP : '|| sortida);
p_final_votacio(idVotacioMoneda,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->finalitzar votacio : esperat OK --> RSP : '|| sortida);
p_final_votacio(idVotacioSBDAero,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->finalitzar votacio : esperat OK --> RSP : '|| sortida);
p_final_votacio(null,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->finalitzar votacio : esperat ERROR s''ha d''especificar la votacio --> RSP : '|| sortida);
p_final_votacio(9283,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->finalitzar votacio : esperat ERROR la votacio no existeix --> RSP : '|| sortida);
p_final_votacio(idVotacioCatEur,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->finalitzar votacio : esperat ERROR la data de finalitzacio es posterior --> RSP : '|| sortida);
p_final_votacio(idVotacioSBDAero,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->finalitzar votacio : esperat ERROR la votacio ja s''havia finalitzat --> RSP : '|| sortida);
  DBMS_OUTPUT.PUT_LINE (' ');

-- baixa de votacions finalitzades
  DBMS_OUTPUT.PUT_LINE ('BAIXA VOTACIO FINALITZADA :');
p_votacio_baixa(idVotacioNuclears,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->baixa votacio : esperat ERROR No es pot eliminar una votaci que t l''estat de finalitzada (Estat=F) --> RSP : '|| sortida);
  DBMS_OUTPUT.PUT_LINE (' ');

-- modificaci de votacions finalitzades
  DBMS_OUTPUT.PUT_LINE ('MODIFICAR VOTACIO FINALITZADA :');
p_votacio_modificacio(idVotacioNuclears,'Son les centrals nuclers necessaries?',null,'01/12/2011','31/12/2011','13/11/2011','PRESIDENT_001',null,'E',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->modificar votacio : esperat ERROR No es pot modificar una votaci que t l''estat de finalitzada (Estat=F) --> RSP : '|| sortida);
  DBMS_OUTPUT.PUT_LINE (' ');

-- consultes
  DBMS_OUTPUT.PUT_LINE ('CONSULTES - VOTACIONS PAIS :');
p_cons_votacions_pais(null,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->consulta votacions pais : esperat ERROR s''ha d''entrar el pais --> RSP : '|| sortida);
p_cons_votacions_pais('22',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->consulta votacions pais : esperat ERROR el pais no existeix --> RSP : '|| sortida);
p_cons_votacions_pais('ES',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->consulta votacions pais : esperat OK --> RSP : '|| sortida);
  DBMS_OUTPUT.PUT_LINE (' ');

  DBMS_OUTPUT.PUT_LINE ('CONSULTES - 10 VOTACIONS MES DIFERENCIA :');
p_cons_10_mes_dif(sortida);
  DBMS_OUTPUT.PUT_LINE ('-->consulta 10 votacions mes diferencia : esperat OK --> RSP : '|| sortida);
  DBMS_OUTPUT.PUT_LINE (' ');

  DBMS_OUTPUT.PUT_LINE ('CONSULTES - 10 VOTACIONS MENYS DIFERENCIA :');
p_cons_10_menys_dif(sortida);
  DBMS_OUTPUT.PUT_LINE ('-->consulta 10 votacions menys diferencia : esperat OK --> RSP : '|| sortida);
  DBMS_OUTPUT.PUT_LINE (' ');

  DBMS_OUTPUT.PUT_LINE ('CONSULTES - CENSOS DEL CIUTADA :');
p_cons_censos_ciutada(null,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->consulta censos del ciutada : esperat ERROR s''ha d''especificar el ciutada --> RSP : '|| sortida);
p_cons_censos_ciutada('CIUTADA01_MAD',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->consulta censos del ciutada : esperat ERROR ciutada no assignat a cap cens --> RSP : '|| sortida);
p_cons_censos_ciutada('CIUTADA01_SBD',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->consulta censos del ciutada : esperat OK --> RSP : '|| sortida);
  DBMS_OUTPUT.PUT_LINE (' ');

  DBMS_OUTPUT.PUT_LINE ('CONSULTES - VOTACIONS DEL CIUTADA :');
p_cons_votacions_ciutada(null,sortida);
  DBMS_OUTPUT.PUT_LINE ('-->consulta votacions del ciutada : esperat ERROR s''ha d''especificar el ciutada --> RSP : '|| sortida);
p_cons_votacions_ciutada('CIUTADA01_MAD',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->consulta votacions del ciutada : esperat ERROR ciutada no assignat a cap cens --> RSP : '|| sortida);
p_cons_votacions_ciutada('CIUTADA01_SBD',sortida);
  DBMS_OUTPUT.PUT_LINE ('-->consulta votacions del ciutada : esperat OK --> RSP : '|| sortida);
  DBMS_OUTPUT.PUT_LINE (' ');

-- modul estadistiques
  DBMS_OUTPUT.PUT_LINE ('ESTADISTIQUES :');
p_stat_votacio_pais_any('ES','2011', sortida);
p_stat_participacio_cens_any(1,'2011', sortida);
p_stat_votacions_cens_any(1,'2011', sortida);
p_stat_any_mes_particip('2011', sortida);
p_stat_any_loc_mes_vots('2011', sortida);
p_stat_any_ciut_no_vot('2011', sortida);
p_stat_votacio_mes_part(sortida);
p_stat_votacio_mes_difer(sortida);
p_stat_votacio_menys_difer(sortida);
p_stat_max_votacions_persona(sortida);
  DBMS_OUTPUT.PUT_LINE (' ');

commit;

end;   